Payment LinksCreate a Payment LinkCopy Pagepost https://api-dev.gettrx.com/payments/v1/payment-linksBody ParamsnamestringrequiredPayment link name/title. Max Length: 250.titlestringPayment link title. Max Length: 250.descriptionstringPayment link description. Max Length: 500.typestringenumrequiredString representing the price type.single_amountcheckoutdonationAllowed:single_amountcheckoutdonationgoalnumber | nullDonation Amount Goal for payment link. Allowed only for payment link of type donation. Required when showGoal property is set to true. Valid range from 1.00 to 99,999,999.99.showGoalboolean | nullDetermines whether or not to show the donation goal for the payment link. Allowed only for payment link of type donation.truefalsemaxCompletedSessionsintegerMaximum number of completed Sessions until the payment link is invalidated. Range: 0 - 999. Can be null which means unlimited.inactiveMessagestring | nullMessage to be returned to the customer when the payment link is inactive. Max Length: 250.lineItemsarray of objectsrequiredlineItems*ADD objectactivebooleanDefaults to trueWhether or not the payment link is active.truetruefalseafterCompletionobjectDetermines checkout flow behavior after completion of the payment.afterCompletion objectcurrencystringDefaults to usd3 letter iso currency code. Currently it only accepts 'usd'.customFieldsarray of objectsMax 5 items.customFieldsADD objectcaptureMethodstringenumDefaults to automaticUse 'automatic' for full sale and 'manual' for 'Auth Only'.automaticautomaticmanualAllowed:automaticmanualcreateCustomerstringenumDefaults to if_requiredDetermines if a customer will be created during payment process. if_required: Only creates a customer when the price is for a “subscription”, and when savePaymentMethodForFutureUsage is set to “always”. always: Always create a customer regardless of the price type.alwaysif_requiredalwaysAllowed:if_requiredalwayssavePaymentMethodForFutureUsagestringenumDetermines if the payment method saved will be created during payment process. if_required: Will not store the payment method when the price amount is 0. Will not store the payment method for any transactions ran through the payment page unless its for a subscription. always: Always store the payment method used by the customer for future payments.alwaysif_requiredalwaysAllowed:if_requiredalwayspaymentMethodTypesarray of stringsDetermines which payment methods will be displayed in the payment link. The valid options are: us_bank_account: Enables payments with US bank accounts. card: Enables payments with card, apple pay, google pay.paymentMethodTypesADD stringcollectBillingAddressbooleanDefaults to falseDetermines if we need to collect the customer’s billing address (other than the zipcode).truetruefalsecollectPhoneNumberbooleanDefaults to falseDetermines if we need to collect the customer’s phone number.truetruefalsecollectShippingAddressbooleanDefaults to falseDetermines if we need to collect the customer’s shipping address.truetruefalseshippingCountriesAllowedarray of stringsArray with a list of countries to which the product can be shipped. Countries in array must be represented by their 2-letter iso code. Array should be restricted to no more than 200 options. When null, all countries are allowed. Currently only allows 'us'.shippingCountriesAllowedADD stringshippingRatesAvailablearray of strings | nullReserved for future use.shippingRatesAvailableADD stringaccountFeesobjectaccountFees objectaccountDiscountsobjectaccountDiscounts objectaccountFeeAndDiscountDisplayLayoutstringenumDefaults to surchargeDescribes the layout to be used when displaying the fees and discounts.surchargesurchargedual_pricingcash_discountAllowed:surchargedual_pricingcash_discountdonationFeeDefaultPayorstring | nullenumWhen using donation layout, donor is able to see a checkbox to pay for the donation fees. This field determines the default state of that button. Only allowed when link type is donation and 'accountFees' property has at least 1 item.donornonprofitAllowed:donornonprofitsubmitButtonTextstringDefaults to Pay {amount} nowA text string with what will be displayed in the Payment Button on the hosted payment page. It can have an {amount} token which would then be replaced by the final amount to be paid by the user. eg: “Pay {amount} now”.showBusinessContactInformationbooleanDefaults to trueDetermines whether or not to display the business contact information.truetruefalsecustomBrandingobjectConstains branding details.customBranding objectsubscriptionDataobject | nullReserved for future use.subscriptionData object | nullsendEmailReceiptbooleanDefaults to trueDetermines whether or not to send a receipt at the end of the transactions.truefalsesitestringSite Id for the customer that will be created during a checkout session either for a subscription or when createCustomer = always. Must be a valid and active site id that has not been deleted. This site should be propagated to checkout session generated from the payment link. This will allow for both the customer/subscription/invoice to also contain the site id.HeaderssecretKeystringSecret key associated to the partner’s accountidempotencyKeystringUnique key generated by the partneronBehalfOfstringAccountId of the merchant that will own the productResponses 201Created 400Bad Request 401UnauthorizedUpdated 3 months ago Delete a PriceRetrieve a Payment LinkDid this page help you?YesNo